%global namedreltag %{nil}
%global namedversion %{version}%{?namedreltag}
%define bootstrap 0
Name:          codemodel
Version:       2.6
Release:       %mkrel 1
Summary:       Java source code generation library
Group:         Development/Java
License:       CDDLv1.1 + GPLv2
Url:           http://codemodel.java.net/
# svn export https://svn.java.net/svn/codemodel~svn/tags/codemodel-project-2.6/ codemodel-2.6
# rm -rf codemodel-2.6/codemodel/lib/package-rename-task.jar
# tar czf codemodel-2.6-src-svn.tar.gz codemodel-2.6
Source0:       codemodel-%{namedversion}-src-svn.tar.gz

BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: jvnet-parent

BuildRequires: ant
BuildRequires: junit4

BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-site-plugin

BuildRequires: maven-changes-plugin
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-enforcer-rules
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: sonatype-oss-parent
BuildRequires: maven-surefire-provider-junit4

BuildRequires: forge-parent

%if !%bootstrap
BuildRequires: sun-istack-commons
Requires:      sun-istack-commons
%endif
Requires:      ant

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch


%description
CodeModel is a Java library for code generators; it provides a way to
generate Java programs in a way much nicer than PrintStream.println().
This project is a spin-off from the JAXB RI for its schema compiler 
generate Java source files.

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}

%description javadoc
CodeModel - Java source code generation library.

This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;

%if %bootstrap
# BR/R sun-istack-commons circular dep
sed -i "s|<module>codemodel-annotation-compiler</module>|<!--module>codemodel-annotation-compiler</module-->|" pom.xml
%endif

%build

mvn-rpmbuild install javadoc:aggregate

%install

mkdir -p %{buildroot}%{_javadir}
install -pm 644 %{name}/target/%{name}-%{namedversion}.jar \
  %{buildroot}%{_javadir}/%{name}-core.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}-project.pom
%add_maven_depmap JPP-%{name}-project.pom
install -pm 644 codemodel/pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}-core.pom
%add_maven_depmap JPP-%{name}-core.pom %{name}-core.jar

%if !%bootstrap
install -pm 644 %{name}-annotation-compiler/target/%{name}-annotation-compiler-%{namedversion}.jar \
  %{buildroot}%{_javadir}/%{name}-annotation-compiler.jar
install -pm 644 codemodel-annotation-compiler/pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}-annotation-compiler.pom
%add_maven_depmap JPP-%{name}-annotation-compiler.pom %{name}-annotation-compiler.jar
%endif

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}-core.jar
%if !%bootstrap
%{_javadir}/%{name}-annotation-compiler.jar
%endif
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/%{name}
%doc LICENSE.html

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Tue Jan 17 2012 gil <gil> 2.6-1.mga2
+ Revision: 197573
- update to 2.6

* Thu Oct 20 2011 dmorgan <dmorgan> 2.5-1.mga2
+ Revision: 156785
- Fix buildrequires
- Update to version 2.5

  + gil <gil>
    - edit spec file
    - edit spec file
    - rebuilt with mvn3

* Wed Oct 19 2011 dmorgan <dmorgan> 2.1-0.mga2
+ Revision: 156688
- Revert to version 2.1 to be able to upload
- Clean spec file

  + gil <gil>
    - update to 2.5-SNAPSHOT
    - imported package codemodel


* Thu Jun 30 2011 gil <gil> 2.1-0.%%mkrel
- initial rpm